local WorkerLotteryDataManager = BaseClass("WorkerLotteryDataManager")
local WorkerLotteryInfo = require("DataCenter.WorkerData.WorkerLotteryInfo")
local __init = function(self)
  self.workerLottery = nil
end
local __delete = function(self)
  self.workerLottery = nil
end
local UpdateWorkerLotteryData = function(self, message)
  if self.workerLottery == nil then
    self.workerLottery = WorkerLotteryInfo.New()
  end
  self.workerLottery:UpdateInfo(message)
end
local GetWorkerLotteryData = function(self)
  if self.workerLottery ~= nil then
    local returnRes = {}
    returnRes = DeepCopy(self.workerLottery)
    return returnRes
  end
  return nil
end
local IsHaveWorkerLotteryData = function(self)
  if self.workerLottery ~= nil then
    return true
  else
    return false
  end
end
WorkerLotteryDataManager.__init = __init
WorkerLotteryDataManager.__delete = __delete
WorkerLotteryDataManager.UpdateWorkerLotteryData = UpdateWorkerLotteryData
WorkerLotteryDataManager.GetWorkerLotteryData = GetWorkerLotteryData
WorkerLotteryDataManager.IsHaveWorkerLotteryData = IsHaveWorkerLotteryData
return WorkerLotteryDataManager
